=== debian/changelog ===
haruna (1.7.0-1build2) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Dec 2025 12:01:42 +0000

haruna (1.7.0-1build1) resolute; urgency=medium

  * No-change rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Dec 2025 07:30:50 +0000

haruna (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
  * Update copyright.
  * Add newly introduced internal QML modules to debian/qmldeps.overrides.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Dec 2025 11:24:54 +0100
