=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: haruna
 Section: video
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -42,10 +41,10 @@
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.6.0~),
                qt6-declarative-private-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://haruna.kde.org/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/haruna.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/haruna
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/haruna
+Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/haruna
 
 Package: haruna
 Architecture: any
