## haruna 1.7.1+p24.04+vstable+git20260130.0811

=== debian/changelog ===
haruna (1.7.1+p24.04+vstable+git20260130.0811-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:11:33 +0000

haruna (1.7.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jan 2026 00:38:36 +0000
