## haruna 1.7.1+p24.04+vstable+git20260202.1036

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,21 +10,48 @@
 project(haruna VERSION 1.7.1 LANGUAGES CXX)
 
 set(QT_QML_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src)
-set(QML_IMPORT_PATH ${QT_QML_OUTPUT_DIRECTORY} CACHE PATH "Extra QML import paths to make Qt Creator happy")
+set(QML_IMPORT_PATH ${QT_QML_OUTPUT_DIRECTORY} CACHE PATH "Extra QML import paths")
 
 set(QT_MIN_VERSION 6.6.0)
-set(KF6_MIN_VERSION 6.0.0)
+set(KF6_MIN_VERSION 6.10.0)
 
 include(FeatureSummary)
 
 find_package(ECM ${KF6_MIN_VERSION} NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/ecm/"
-    DESCRIPTION "extra cmake modules")
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+    DESCRIPTION "Extra modules and scripts for CMake")
+
+if(ECM_FOUND)
+    set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+
+    include(KDEInstallDirs)
+    include(ECMInstallIcons)
+    include(ECMAddAppIcon)
+    include(KDECMakeSettings)
+    include(KDECompilerSettings NO_POLICY_SCOPE)
+
+    include(KDEClangFormat)
+    file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.hpp *.c)
+    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+    include(KDEGitCommitHooks)
+    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+
+    include(ECMSetupVersion)
+    ecm_setup_version(${PROJECT_VERSION}
+        VARIABLE_PREFIX HARUNA
+        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/haruna-version.h"
+    )
+endif()
 
 set(DBUS_PLATFORMS Linux FreeBSD GNU/kFreeBSD NetBSD OpenBSD)
 
+# -------------------------------
+#
+# -- Qt6 dependencies
+#
+# -------------------------------
 find_package(Qt6Core ${QT_MIN_VERSION})
 set_package_properties(Qt6Core PROPERTIES TYPE REQUIRED)
 
@@ -46,6 +73,9 @@
 find_package(Qt6Sql ${QT_MIN_VERSION})
 set_package_properties(Qt6Sql PROPERTIES TYPE REQUIRED)
 
+find_package(Qt6ShaderTools ${QT_MIN_VERSION})
+set_package_properties(Qt6ShaderTools PROPERTIES TYPE REQUIRED)
+
 set(HAVE_DBUS FALSE)
 if (CMAKE_SYSTEM_NAME IN_LIST DBUS_PLATFORMS)
     find_package(Qt6DBus ${QT_MIN_VERSION})
@@ -57,14 +87,14 @@
    ${CMAKE_CURRENT_BINARY_DIR}/src/config-haruna.h
 )
 
+# -------------------------------
+#
+# -- KF6 dependencies
+#
+# -------------------------------
 find_package(MpvQt)
 set_package_properties(MpvQt PROPERTIES TYPE REQUIRED
     URL "https://invent.kde.org/libraries/mpvqt")
-
-find_package(FFmpeg)
-set_package_properties(FFmpeg PROPERTIES TYPE REQUIRED
-    URL "https://ffmpeg.org"
-    DESCRIPTION "needed for playlist and mpris thumbnails")
 
 find_package(Breeze)
 set_package_properties(Breeze PROPERTIES TYPE RECOMMENDED
@@ -115,6 +145,17 @@
     URL "https://github.com/KDAB/KDSingleApplication"
     DESCRIPTION "helper class for single-instance policy applications")
 
+# -------------------------------
+# -- FFmpeg
+# -------------------------------
+find_package(FFmpeg)
+set_package_properties(FFmpeg PROPERTIES TYPE REQUIRED
+    URL "https://ffmpeg.org"
+    DESCRIPTION "needed for playlist and mpris thumbnails")
+
+# -------------------------------
+# -- Ytdlp
+# -------------------------------
 find_package(Ytdlp)
 set_package_properties(Ytdlp PROPERTIES TYPE RUNTIME
     URL "https://github.com/yt-dlp/yt-dlp"
@@ -122,25 +163,6 @@
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-include(KDEInstallDirs)
-include(ECMInstallIcons)
-include(ECMAddAppIcon)
-include(KDECMakeSettings)
-include(KDECompilerSettings NO_POLICY_SCOPE)
-
-include(KDEClangFormat)
-file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.hpp *.c)
-kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-
-include(KDEGitCommitHooks)
-kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
-
-include(ECMSetupVersion)
-ecm_setup_version(${PROJECT_VERSION}
-    VARIABLE_PREFIX HARUNA
-    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/haruna-version.h"
-)
-
 ki18n_install(po)
 
 add_subdirectory(data)
