=== debian/changelog ===
haruna (1.7.1+p24.04+vstable+git20260202.1036-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:36:20 +0000
