## haruna 1.7.1+p24.04+vunstable+git20260202.0929

=== debian/changelog ===
haruna (1.7.1+p24.04+vunstable+git20260202.0929-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 09:29:06 +0000
