## haruna 1.7.1+p24.04+vunstable+git20260204.0056

=== debian/changelog ===
haruna (1.7.1+p24.04+vunstable+git20260204.0056-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 00:56:59 +0000
